//
//  SpalshViewController.m
//  SimpleSample-videochat-ios
//
//  Created by QuickBlox team on 1/02/13.
//  Copyright (c) 2013 QuickBlox. All rights reserved.
//

#import "SplashViewController.h"
#import "MainViewController.h"
#import "AppDelegate.h"

@interface SplashViewController ()

@end

@implementation SplashViewController
@synthesize activityIndicator;

- (void)viewDidUnload
{
    [super viewDidUnload];
    
    [self setActivityIndicator:nil];
    loginAsUser1Button = nil;
    loginAsUser2Button = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)dealloc {
    [activityIndicator release];
    [super dealloc];
}

- (IBAction)loginAsUser1:(id)sender{
    AppDelegate *appDelegate = (AppDelegate *)[UIApplication sharedApplication].delegate;
    appDelegate.currentUser = 1;
    
    
    // Your app connects to QuickBlox server here.
    //
    // Create extended session request with user authorization
    //
    QBASessionCreationRequest *extendedAuthRequest = [QBASessionCreationRequest request];
    extendedAuthRequest.userLogin = appDelegate.testOpponents[0];
    extendedAuthRequest.userPassword = appDelegate.testOpponents[0];
    [QBAuth createSessionWithExtendedRequest:extendedAuthRequest delegate:self];
    
    [activityIndicator startAnimating];
    
    loginAsUser1Button.enabled = NO;
    loginAsUser2Button.enabled = NO;
}
- (IBAction)loginAsUser2:(id)sender{
    AppDelegate *appDelegate = (AppDelegate *)[UIApplication sharedApplication].delegate;
    appDelegate.currentUser = 2;
    
    
    // Your app connects to QuickBlox server here.
    //
    // Create extended session request with user authorization
    //
    QBASessionCreationRequest *extendedAuthRequest = [QBASessionCreationRequest request];
    extendedAuthRequest.userLogin = appDelegate.testOpponents[2];
    extendedAuthRequest.userPassword = appDelegate.testOpponents[2];
    [QBAuth createSessionWithExtendedRequest:extendedAuthRequest delegate:self];
    
    [activityIndicator startAnimating];
    
    loginAsUser1Button.enabled = NO;
    loginAsUser2Button.enabled = NO;
}


#pragma mark -
#pragma mark QBActionStatusDelegate

// QuickBlox API queries delegate
- (void)completedWithResult:(Result *)result{
    AppDelegate *appDelegate = (AppDelegate *)[UIApplication sharedApplication].delegate;
    
    // QuickBlox session creation  result
    if([result isKindOfClass:[QBAAuthSessionCreationResult class]]){
        
        // Success result
        if(result.success){
            
            // Set QuickBlox Chat delegate
            //
            [QBChat instance].delegate = self;
            
            QBUUser *user = [QBUUser user];
            user.ID = ((QBAAuthSessionCreationResult *)result).session.userID;
            user.password = appDelegate.currentUser == 1 ? appDelegate.testOpponents[0] : appDelegate.testOpponents[2];
            
            // Login to QuickBlox Chat
            //
            [[QBChat instance] loginWithUser:user];
        }else{
            
            UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Error" message:[[result errors] description] delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
            [alert show];
            [alert release];
            
            loginAsUser1Button.enabled = YES;
            loginAsUser2Button.enabled = YES;
        }
    }
}


#pragma mark -
#pragma mark QBChatDelegate

- (void)chatDidLogin{
    // Show Main controller
    AppDelegate *appDelegate = (AppDelegate *)[UIApplication sharedApplication].delegate;
    MainViewController *mainViewController = [[MainViewController alloc] init];
    mainViewController.opponentID = appDelegate.currentUser == 1 ? appDelegate.testOpponents[3] : appDelegate.testOpponents[1];
    [self presentModalViewController:mainViewController animated:YES];
    [mainViewController release];
}

- (void)chatDidNotLogin{
    loginAsUser1Button.enabled = YES;
    loginAsUser2Button.enabled = YES;
}

@end
